GET-NEWS(8)

NAME
get-news - Debian Suck front end

SYNOPSIS
get-news [ sitename ] [ -h ] [ -outgoingfile filename ] [ -userid userid ] [ -password password ] [ -noauth ] [ -port port ] [ -server sitename ] [ -q ] [ -getonly ] [ -postonly ] [ -timestamp ] [ -verbose ]

sitename

The name of the site get-news should connect. If this parameter is specified, it will be used for multiple purposes, setting:

 - the DNS name of the NNTP host which get-news will connect to download and upload articles

 - the suffix for some configuration files get-news will use (sucknewsrc, active-ignore, suckkillfile)

 - the news feed name (name of the file in /var/spool/news/outgoing which contain list of the articles to be send)

For example, running the command get-news news.provider.site causes the script to contact news.provider.site, send messages listed in /var/spool/news/outgoing/news.provider.site (according to the feed of this name defined in /etc/news/newsfeeds) and use /etc/suck/sucknewsrc.news.provider.site as list of newsgroups, /etc/suck/suckkillfile.news.provider.site as killfile and (in case -A or -AL is specified in get-news.conf) suit newsgroup list to /etc/suck/active-ignore.news.provider.site.

When the sitename parameter is missing (like when get-news is run without parameters), get-news uses parameters from get-news.conf (remoteserver to specify the host, outgoingfile to specify the feed) and no-suffix configuration files (sucknewsrc, active-ignore, suckkillfile).

-outgoingfile filename

This option tells get-news to use an alternate remote server outgoing articles filename, instead of the default, the remote server name.

-userid userid

-password password

These two options let you specify a userid and password, if your NNTP server requires them.

-noauth

This option tells get-news to not send userid and password, even if they are specified in /etc/suck/get-news.conf.

-port port

This option let you specify a port number, if your NNTP server has a non standard one.

-server sitename

This option tells get-news to use sitename as your local NNTP server, instead of the default, localhost.

-q

Be quiet. Do not display the BPS and article count messages during download. Multiple -q's makes get-news shut up

-getonly

Only get new news, don't post anything outgoing.

-postonly

Only post outgoing news, don't get anything.

-timestamp Add timestamps to the get-news.log and verbose output.

-verbose Give more messages about what get-news is doing. Specified multiple times, debugging output is enabled.

GET-NEWS.CONF

Suck looks for a file get-news.conf in /etc/suck to initialize some defaults and set some options that are not available on the command line.

SEE ALSO
suck(1), testhost(1), rpost(1), lpost(1).